classification
Title: New module: miniconf
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ajaksu2, georg.brandl, syfou
Priority: low Keywords:

Created on 2006-07-24 07:43 by syfou, last changed 2010-08-24 19:34 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
miniconf.patch syfou, 2006-07-24 07:50 miniconf patch against svn trunk (rev. 50794)
miniconf.patch syfou, 2006-07-27 05:57 miniconf patch against svn trunk (rev. 50858)
miniconf.patch syfou, 2006-07-28 18:48 miniconf patch against svn trunk (rev. 50913)
Messages (10)
msg54846 - (view) Author: S.Fourmanoit (syfou) Date: 2006-07-24 07:43
Find enclosed a new data persistence module: miniconf,
that basically allows the casual creation and reading
of configuration files and similar simple data sets.

I ended-up using part of this code in many projects I
did in Python (such as adesklets), and many other
fellow developers borrowed it from me, so I though it
could be nice to have it as a part of the standard library.

So I cleaned it up, re-factored it as a simple,
standalone module, and here it is, complete with
documentation and its test module.

Find enclosed a patch against svn trunck (Python 2.5b2,
revision 50794). It changes nothing to the tree,
besides adding a one-liner to Doc/lib/lib.tex to
reference the new documentation.

The module also works untouched on Python 2.4.3; I will
be glad to provide a patch against any other tree if
you want me too; all comments are of course welcomed. 
msg54847 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-07-24 13:39
Logged In: YES 
user_id=849994

Have you published this on the Python Cheese Shop? This
might be the more appropriate way to make this module known
to other Python developers since there's no way to include
it in 2.5 any more.
msg54848 - (view) Author: S.Fourmanoit (syfou) Date: 2006-07-24 16:44
Logged In: YES 
user_id=1175491

> Have you published this on the Python Cheese Shop?

If did not; without being trivial, I felt this was both
generic and useful enough to be worth the inclusion into the
base library; I managed to miss the feature freeze on python
2.5 -- sorry about that... 

I don't mind submitting it to the Python Cheese Shop, if it
is the right track to have it eventually committed to Python
code base; miniconf having virtually no collateral impact on
the rest of the code, it is indeed perfectly suitable for
distribution as a standalone module for both the 2.4.x and
incoming 2.5.x Python interpreters.

I don't mind either waiting for the end of the feature
freeze, keeping the module up to date as needed against any
new code. I am foreign to the development cycle of Python --
do you know what will be the next window of opportunity?
Into the incoming 2.5 tree when it will be out of the
freeze? Into python 2.6? 
msg54849 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-07-24 19:55
Logged In: YES 
user_id=849994

You'll at least have to raise this on the python-dev list.
It is most probable that you're then asked to let a user
base grow by making the module available e.g. via Cheese
Shop and report back at a time where 2.6 is nearing.
msg54850 - (view) Author: S.Fourmanoit (syfou) Date: 2006-07-25 06:20
Logged In: YES 
user_id=1175491

Current miniconf entry on the Python Cheese Shop:

http://cheeseshop.python.org/pypi?:action=display&name=miniconf&version=1.0.1

Thanks for your diligent feedback so far; I will send a
short message to python-dev tomorrow.
msg54851 - (view) Author: S.Fourmanoit (syfou) Date: 2006-07-27 05:57
Logged In: YES 
user_id=1175491

Updated patch, based on feedback from David Hopwood and
Phillip J. Eby. Also distributed on the Python Cheese Shop
as module version 1.1.0:

=http://cheeseshop.python.org/pypi?:action=display&name=miniconf&version=1.1.0
msg54852 - (view) Author: S.Fourmanoit (syfou) Date: 2006-07-28 18:48
Logged In: YES 
user_id=1175491

Updated patch, based on feedback from Armin Rigo. Also
distributed on the Python Cheese Shop as module version 1.2.0:

http://cheeseshop.python.org/pypi?:action=display&name=miniconf&version=1.2.0
msg84502 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 04:49
I like this, but think it would need quite some demand to be a candidate
for the standard library.
msg84520 - (view) Author: S.Fourmanoit (syfou) Date: 2009-03-30 06:48
Daniel,

I see many people relying on print() and exec() to basically perform the
same task miniconf does: dumping and loading groups of parameters in a
human-readable, 100% pythonic form. Look in the wild: 

http://www.google.com/search?q=exec+filetype:py

I think that if we had a painless, almost drop-in replacement to do the
same thing without risking feeding arbitrary code to the interpreter, we
would use it.

Anyway, thanks for the work of Bob Ippolito, we now have a json module
in the standard library: it's fast, robust, and can pretty much cover
the same use case, so I am happy; It just feels slightly weird to save
and load configuration files in a javascript syntax from python apps. :-D
msg114807 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-24 19:34
Closed in response to last paragraph of msg84520.
History
Date User Action Args
2010-08-24 19:34:45BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114807

resolution: out of date
2009-03-30 06:48:04syfousetmessages: + msg84520
2009-03-30 04:49:45ajaksu2setversions: + Python 3.1, Python 2.7, - Python 2.6
nosy: + ajaksu2

messages: + msg84502

stage: patch review
2008-01-06 12:11:17christian.heimessetcomponents: + Library (Lib), - None
versions: + Python 2.6
2006-07-24 07:43:51syfoucreate